Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class ObservableTestFilter

    java.lang.Object
      com.sun.javatest.TestFilter
          com.sun.javatest.ObservableTestFilter

Direct Known Subclasses:
  LastRunFilter, ParameterFilter

    public abstract class ObservableTestFilter

extends TestFilter

An extension to the basic test filter which provides observer capabilities. The observer can be used to receive notification when the filter changes state. A typical response to that change message may be to run a set of tests back through the filter.

Nested Class Summary
`static interface` | `ObservableTestFilter.Observer` An observer that is notified when the filter has been changed.

Nested classes/interfaces inherited from class com.sun.javatest.TestFilter
`TestFilter.Fault`

Field Summary
`protected ObservableTestFilter.Observer[]` | `observers` The set of observers for this filter.

Constructor Summary
`ObservableTestFilter()`

Method Summary
`void` | `addObserver(ObservableTestFilter.Observer o)` Add an observer to be notified when this filter has been changed.
`protected void` | `notifyUpdated(ObservableTestFilter filter)` Notify observers that this filter has changed it's internal state (behavior).
`void` | `removeObserver(ObservableTestFilter.Observer o)` Remove a previously registered observer so that it will no longer be notified of changes to this filter.

Methods inherited from class com.sun.javatest.TestFilter
`accepts, accepts, accepts, accepts, getDescription, getName, getReason`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### observers

    protected ObservableTestFilter.Observer[] observers

  The set of observers for this filter.

Constructor Detail

### ObservableTestFilter

    public ObservableTestFilter()

Method Detail

### addObserver

    public void addObserver(ObservableTestFilter.Observer o)

  Add an observer to be notified when this filter has been changed.

  Parameters:
    `o` - The observer to be registered. Should never be null.

### removeObserver

    public void removeObserver(ObservableTestFilter.Observer o)

  Remove a previously registered observer so that it will no longer be notified of changes to this filter.

  Parameters:
    `o` - The filter to be un-registered.

### notifyUpdated

    protected void notifyUpdated(ObservableTestFilter filter)

  Notify observers that this filter has changed it's internal state (behavior).

  Parameters:
    `filter` - the filter that has changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.